Subject: bug#27427: closed (Re: bug#27427: 26.0.50; Native line numbers lead to display error in company-mode popup)

From: [email-masked] (GNU bug Tracking System)
Date: Sat, 15 Jul 2017 17:39:02 +0000

Your bug report

#27427: 26.0.50; Native line numbers lead to display error in company-mode popup

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
27427: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=27427
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#27427: 26.0.50; Native line numbers lead to display error in company-mode popup
From: Dmitry Gutov <[email-masked]>
To: Eli Zaretskii <[email-masked]>
Cc: [email-masked], [email-masked]
Date: Sat, 15 Jul 2017 20:38:15 +0300
List-Id: <debbugs-submit.debbugs.gnu.org>

On 7/14/17 10:04 AM, Eli Zaretskii wrote:

> That's because posn-at-point "simulates" redisplay: it performs all
> the layout calculations exactly like redisplay would, but without
> actually displaying anything.

Very cool. In that case, let's consider this issue resolved.

I've already pushed this fix and cut a new release now.

> (If you think posn-at-point takes that information from what is
> displayed on the glass, or from some of its internal representation,
> then that's not what it does, because the internal representation of
> what's on the glass is many times outdated when a Lisp program runs,
> so it cannot be trusted.)

I was thinking there was some change canary (or many of them), and the 
"internal representation" is recomputed when any of those values change.

Subject: 26.0.50; Native line numbers lead to display error in company-mode popup
From: Alexander Miller <[email-masked]>
To: [email-masked]
Date: Mon, 19 Jun 2017 18:50:18 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

As requested by Eli on reddit, a proper bug report about the company issue:

Using the new native line numbers in emacs -q
alongside company mode results in line numbers not being rendered in
lines where the company-mode popup is active. This is the same as in
(n)linum-mode, however the company popup, except the first line, is also
shifted to the left into the space line numbers used to occupy:
http://imgur.com/xHf2mlp

It looks like there's a general issue of overlay using packages not
expecting the space now being used by line numbers. For example the
fill-column-indicator package draws its indicator too far to the left
and swerves off with the comments at the top for some reason:
http://imgur.com/WHcrhdC
(Don't know why the company popup looks even worse here, that doesn't
happen when I load my full config).

In GNU Emacs 26.0.50 (build 1, x86_64-pc-linux-gnu, GTK+ Version 3.22.15)
of 2017-06-18 built on a-laptop
Repository revision: 7277c0fca7dab9f1b311c3eba5c42fd17acc3593
Windowing system distributor 'The X.Org Foundation